Bug 500219 - user "firebird" doesn't create at the right time during installation
Summary: user "firebird" doesn't create at the right time during installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: firebird
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Philippe Makowski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-11 17:44 UTC by Remi Collet
Modified: 2009-05-22 06:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-22 06:59:21 UTC
Type: ---


Attachments (Terms of Use)

Description Remi Collet 2009-05-11 17:44:55 UTC
yum install firebird-classic :

Running Transaction
  Installing     : firebird-filesystem                               [1/6]
warning: user firebird does not exist - using root
warning: group firebird does not exist - using root
  Installing     : firebird-libfbclient                              [2/6]
  Installing     : firebird-libfbembed                               [3/6]
  Installing     : xinetd                                            [4/6]
  Installing     : firebird                                          [5/6]
  Installing     : firebird-classic                                  [6/6]
Reloading configuration: [FAILED]


Probably %pre should be %pre filesystem

And other issue with service xinetd reload when xinetd not running.

+

Comment 1 Philippe Makowski 2009-05-11 18:55:53 UTC
(In reply to comment #0)
> Probably %pre should be %pre filesystem

a better solution is to not set %{_libdir}/%{name} own by firebird user and group
I have a patch for that, just waiting for upstream approval
 
> And other issue with service xinetd reload when xinetd not running.
will check that

Comment 2 Fedora Update System 2009-05-12 12:08:53 UTC
firebird-2.1.2.18118.0-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-7.fc10

Comment 3 Fedora Update System 2009-05-12 12:08:58 UTC
firebird-2.1.2.18118.0-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-7.fc11

Comment 4 Fedora Update System 2009-05-12 12:09:02 UTC
firebird-2.1.2.18118.0-7.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-7.fc9

Comment 5 Remi Collet 2009-05-12 12:35:43 UTC
I don't understand why you need to "service xinetd reload"

1/ It's a common usage in fedora to not activate such service on install (mysql, pgsql, ...)

2/ A better solution is to use chkconfig which will notify xinetd if running and needed

/sbin/chkconfig firebird on

+

Comment 6 Philippe Makowski 2009-05-12 13:18:31 UTC
there is two "kind" of Firebird 
superserver is setup as you say, and user have do launch firebird service itself

For classic, that use xinetd, I made like I saw in other packages in Fedora using xinetd, and almost all do the reload 
and it don't hurt anything by definition of what is xinetd
but if really need, I can change that, may be let this change to the next upstream release ?

or does it really hurt a Fedora, Centos, RHEL rule ?

Comment 7 Fedora Update System 2009-05-21 23:24:35 UTC
firebird-2.1.2.18118.0-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-05-21 23:27:07 UTC
firebird-2.1.2.18118.0-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-05-21 23:30:23 UTC
firebird-2.1.2.18118.0-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.